Lua scripting in HGL 
====================

Since 0.4.66 HGL supports embedded Lua scripts. Therefore the power of an
full scale language is available to HGL.

Lua scripts are denoted in either an procedure (PROC) or the main segment
(MAIN) with

Lua {% -- your Lua script here %}

Notes on scripting in Lua 
-------------------------

Since '%}' is used to mark the end of the Lua script, you cannot use it
anywhere else in the script except within strings (enclosed by a single
or double quotation mark ('/") or within the multiline string markers 
([[ and ]])).

Notes on precompiling Lua 
-------------------------

Since version 0.5.41 this feature is removed in favor for the Sandbox 
in which we cannot trust precompiled (bytecode) scripts.


HGL provided Lua functions (list)

createGroup (interpreter)
createLine (interpreter)
createPoint (interpreter)
createRect (interpreter)
date (libhgltypes)
debug (libhgltypes)
getControlSourceParameters (interpreter)
getCurve (libhgltypes)
getEllipse (libhgltypes)
getGroup (libhgltypes)
getImageHeight (interpreter)
getImageWidth (interpreter)
getLine (libhgltypes)
getParameter (libhgltypes)
getPoint (libhgltypes)
getPoly (libhgltypes)
getProjectName (libhgltypes)
getText (libhgltypes)
listTypes (libhgltypes)
notifyError (libhgltypes)
notifyFatal (libhgltypes)
notifyInfo (libhgltypes)
notifyWarn (libhgltypes)
print (libhgltypes)
setPoint (libhgltypes)
setText (libhgltypes)
STD_createMultiLine (stdlib)
STD_displayCopyright (stdlib)
STD_listMainTypes (stdlib)
STD_listObjectsTypes (stdlib)
STD_listProceduresTypes (stdlib)
STD_listProjectTypes (stdlib)
STD_num2hex (stdlib) 
STD_translate (stdlib)
typeof (libhgltypes)
warning (libhgltypes)
